"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const createPlugin_1 = __importDefault(require("../factories/createPlugin"));
/**
 * Adds utilities for the `scroll-snap-type` property.
 *
 * @see https://developer.mozilla.org/fr/docs/Web/CSS/scroll-snap-type
 * @export
 */
function default_1(helpers) {
    createPlugin_1.default('scrollSnapType', {
        'no-snap': 'none',
        snap: 'var(--scroll-snap-direction, both) var(--scroll-snap-constraint, mandatory)',
        'snap-x': ['--scroll-snap-direction', 'x'],
        'snap-y': ['--scroll-snap-direction', 'y'],
        'snap-both': ['--scroll-snap-direction', 'both'],
        'snap-block': ['--scroll-snap-direction', 'block'],
        'snap-inline': ['--scroll-snap-direction', 'inline'],
        'snap-mandatory': ['--scroll-snap-constraint', 'mandatory'],
        'snap-proximity': ['--scroll-snap-constraint', 'proximity'],
    }, helpers);
}
exports.default = default_1;
